## org.red5.server.api
Interface ClientMBean

All Known Subinterfaces:
  IClient

All Known Implementing Classes:
  Client

    public interface ClientMBean

The client object represents a single client. One client may have multiple connections to different scopes on the same host. In some ways the client object is like a HTTP session. You can create IClient objects with `IClientRegistry.newClient(Object[])` NOTE: I removed session, since client serves the same purpose as a client with attributes

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary
`void` `disconnect()`
`Set<IConnection>` `getConnections()`
`long` `getCreationTime()`
`String` `getId()`
`Collection<IScope>` `getScopes()`

Method Detail

### getId

    String getId()

### getCreationTime

    long getCreationTime()

### getScopes

    Collection<IScope> getScopes()

### getConnections

    Set<IConnection> getConnections()

### disconnect

    void disconnect()

Copyright © 2006-2010 The Red5 Project